'use server'
import LoginForm from '@/components/auth/LoginForm';
import Header from '@/components/defaults/Header';
import { createClient } from '@/utils/supabase/server';

const HomePage = async () => {
  const supabase = await createClient();
  const { data: { session } } = await supabase.auth.getSession();
  if (!session) {
    return (
      <main>
        <Header />
        <LoginForm />
      </main>
    );
  }
  return (
    <main>
      <Header />
      <div className="flex flex-col items-center justify-center">
        <h1>Hello, {session.user.email}</h1>
      </div>
    </main>
  );
};
export default HomePage;
